public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [Bug default/27643] New: [dwz] more low mem memory leaks
@ 2021-03-24  8:40 vries at gcc dot gnu.org
  2021-03-24  8:43 ` [Bug default/27643] " vries at gcc dot gnu.org
                   ` (3 more replies)
  0 siblings, 4 replies; 5+ messages in thread
From: vries at gcc dot gnu.org @ 2021-03-24  8:40 UTC (permalink / raw)
  To: dwz

https://sourceware.org/bugzilla/show_bug.cgi?id=27643

            Bug ID: 27643
           Summary: [dwz] more low mem memory leaks
           Product: dwz
           Version: unspecified
            Status: NEW
          Severity: normal
          Priority: P2
         Component: default
          Assignee: nobody at sourceware dot org
          Reporter: vries at gcc dot gnu.org
                CC: dwz at sourceware dot org
  Target Milestone: ---

After applying this patch to make the problem visible:
...
diff --git a/testsuite/dwz.tests/twice-multifile.sh
b/testsuite/dwz.tests/twice-multifile.s
h
index 8a66e25..1ff0166 100644
--- a/testsuite/dwz.tests/twice-multifile.sh
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -24,7 +24,10 @@ if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
     exit 1
 fi

-[ $status -eq 0 ]
+if [ $status -ne 0 ]; then
+    cat dwz.err
+    exit 1
+fi

 smaller-than.sh 1 1.saved

...
we have:
...
Running /home/vries/dwz/dwz.git/testsuite/dwz.tests/dwz-tests.exp ...
dwz: 1: DWARF compression not beneficial - old size 3372 new size 3372
dwz: 2: DWARF compression not beneficial - old size 3372 new size 3372

=================================================================
==14974==ERROR: LeakSanitizer: detected memory leaks

Direct leak of 432 byte(s) in 6 object(s) allocated from:
    #0 0x7fc5a266d6d8 in __interceptor_calloc (/usr/lib64/libasan.so.4+0xdc6d8)
    #1 0x475dc1 in htab_try_create /home/vries/dwz/dwz.git/hashtab.c:164
    #2 0x44c610 in build_abbrevs /home/vries/dwz/dwz.git/dwz.c:11230
    #3 0x44ee00 in compute_abbrevs /home/vries/dwz/dwz.git/dwz.c:11510
    #4 0x46f07c in dwz /home/vries/dwz/dwz.git/dwz.c:15396
    #5 0x474e0d in dwz_files_1 /home/vries/dwz/dwz.git/dwz.c:16327
    #6 0x475699 in dwz_files /home/vries/dwz/dwz.git/dwz.c:16417
    #7 0x4759fc in main /home/vries/dwz/dwz.git/dwz.c:16458
    #8 0x7fc5a1fe2349 in __libc_start_main (/lib64/libc.so.6+0x24349)

Indirect leak of 2928 byte(s) in 6 object(s) allocated from:
    #0 0x7fc5a266d6d8 in __interceptor_calloc (/usr/lib64/libasan.so.4+0xdc6d8)
    #1 0x475de7 in htab_try_create /home/vries/dwz/dwz.git/hashtab.c:168
    #2 0x44c610 in build_abbrevs /home/vries/dwz/dwz.git/dwz.c:11230
    #3 0x44ee00 in compute_abbrevs /home/vries/dwz/dwz.git/dwz.c:11510
    #4 0x46f07c in dwz /home/vries/dwz/dwz.git/dwz.c:15396
    #5 0x474e0d in dwz_files_1 /home/vries/dwz/dwz.git/dwz.c:16327
    #6 0x475699 in dwz_files /home/vries/dwz/dwz.git/dwz.c:16417
    #7 0x4759fc in main /home/vries/dwz/dwz.git/dwz.c:16458
    #8 0x7fc5a1fe2349 in __libc_start_main (/lib64/libc.so.6+0x24349)

SUMMARY: AddressSanitizer: 3360 byte(s) leaked in 12 allocation(s).
child process exited abnormally
FAIL: /home/vries/dwz/dwz.git/testsuite/dwz.tests/twice-multifile.sh
...

-- 
You are receiving this mail because:
You are on the CC list for the bug.

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2021-03-24 17:08 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-03-24  8:40 [Bug default/27643] New: [dwz] more low mem memory leaks vries at gcc dot gnu.org
2021-03-24  8:43 ` [Bug default/27643] " vries at gcc dot gnu.org
2021-03-24  9:06 ` [Bug default/27643] [dwz] build_abbrevs memory leak vries at gcc dot gnu.org
2021-03-24 10:52 ` vries at gcc dot gnu.org
2021-03-24 17:08 ` vries at gcc dot gnu.org

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).